<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"><!-- -*- Mode: HTML -*- -->
<!--
    FPH Ordering And Estimation
    Copyright (C) 1999 Aron Rubin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->
<HTML>
  <HEAD>
    <TITLE>Job Worksheet</TITLE>
    <SCRIPT LANGUAGE="php">
      $prefix = "..";
      include ($prefix."/config.inc.php");
      include ($prefix."/common.inc.php");
      include ($prefix."/include/formfuncs.inc.php");
      include ($prefix."/include/htmlfuncs.inc.php");
      
      fphdbHeader();

      $axisColor = "#B0B0B0";

      $query = "SELECT DATE_FORMAT(CURRENT_DATE, '%m/%d/%Y' ) AS todaysDate, Job.i AS job_i,
                  Job.quantity AS job_quantity, Job.expectedUse AS job_expectedUse,
                  Job.typesetting AS job_typesetting, Job.typesettingComplete AS job_typesettingComplete,
                  Job.proof AS job_proof, Job.proofComplete AS job_proofComplete, Job.art AS job_art,
                  Job.artComplete AS job_artComplete, Job.plate AS job_plate,
                  Job.plateComplete AS job_plateComplete, Job.instructions AS job_instructions,
                  Product.i AS prod_i,
                  CONCAT(LEFT(LPAD(Product.upc,10,'0'),5),'-',RIGHT(LPAD(Product.upc,10,'0'),5)) AS prod_upc,
                  Product.name AS prod_name, Product.description AS prod_description,
                  Product.numColors AS prod_numColors, Product.varnish AS prod_varnish,
                  Product.childQuantity AS prod_childQty, Product.numOut AS prod_numOut,
                  Product.numFronts AS prod_numFronts, Product.numBacks AS prod_numBacks,
                  CONCAT(Product.runWidth,' X ',Product.runHeight) AS prod_runDims,
                  CONCAT(Product.trimWidth,' X ',Product.trimHeight) AS prod_trimDims,
                  CONCAT(Product.foldWidth,' X ',Product.foldHeight) AS prod_foldDims,
                  PrintFormat.name AS prod_format, Product.bleed AS prod_bleed,
                  Product.instructions AS prod_instructions, Product.master_i AS cus_i,
                  Customer.name AS cus_name, Press.name AS prod_press, Product.paper_name AS paper_name,
                  Product.paper_type_name AS paper_type, Product.paper_brand AS paper_brand,
                  CONCAT(Product.paper_dimentionW,' X ',Product.paper_dimentionL) AS paper_dims,
                  Product.paper_lbWeight AS paper_lbWeight, Product.paper_mWeight AS paper_mWeight,
                  Product.paper_color AS paper_color, Product.paper_finish AS paper_finish,
                  Product.paper_comments AS paper_comments
                FROM Job, Product, Status, Customer, Press, PrintFormat
                WHERE Product.i=Job.product_i AND Status.i=Job.status_i AND
                  Customer.i=Product.master_i AND Press.i=Product.press_i AND
                  PrintFormat.i=Product.format_i AND Job.i IN($JobList)
                ORDER BY Job.i";
      $JobResult = queryWrap( $query );
    </SCRIPT>
    <STYLE TYPE="text/css">
      /* Timestamp info
<!-- Created: Sun May 30 12:05:10 EDT 1999 -->
<!-- hhmts start -->
Last modified: Tue Aug 24 13:41:35 EDT 1999
<!-- hhmts end -->
      */
      BODY {
        background: white;
      }
      DIV.heading {
        font-family: arial black, helvetica;
        font-size: 12pt;
        font-weight: bold;
        text-align:center;
      }
      SPAN.label {
        font-family: arial, helvetica;
        font-size: 12pt;
        font-weight: bold;
      }
    </STYLE>
  </HEAD>

  <BODY>
    <SCRIPT LANGUAGE="php">
      $checked = "<IMG ALT=\"Y\" SRC=\"/fphdb/images/checked.gif\" WIDTH=\"23\" HEIGHT=\"23\">";
      $unchecked = "<IMG ALT=\"N\" SRC=\"/fphdb/images/unchecked.gif\" WIDTH=\"23\" HEIGHT=\"23\">";


      $N = mysql_num_rows( $JobResult );
      for( $i=0; $i < $N; $i++ ) {
        $Job = mysql_fetch_array( $JobResult );

        if( $Job[prod_numOut] > 0 ) $numSheets = ceil($Job[job_quantity]/$Job[prod_numOut]);
        if( $Job[prod_childQty] > 0 ) $expectedUse = ceil($numSheets / $Job[prod_childQty]);

        print "<DIV CLASS=\"page\">\n";
        print "<TABLE CELLSPACING=\"0\" CELLPADDING=\"0\" BORDER=\"0\" WIDTH=\"100%\">\n";
        print "<TR>";
        print TD( "","", "left", $color, Data( $Job[todaysDate] ) );
        print "<TR></TR>";
        print TD( "", "", "left", $color, "<VAR><EM>Job No. $Job[job_i]</EM></DFN>" );
        print TD( "", "", "right", $color, "<VAR><EM>$Job[cus_name]</EM></VAR>" );
        print "<TR></TR>";
        print TD( 3, "", "", $color, "<VAR><EM>$Job[prod_name]" .
                  "$SP$SP$SP$SP$SP$SP$Job[prod_description]</EM></VAR>" );
        print "<TR>\n<TD COLSPAN=\"3\"><BR>
              <TABLE CELLSPACING=\"0\" CELLPADDING=\"2\" BORDER=\"1\" WIDTH=\"100%\">\n";
        print "<TR>
	  <TD BGCOLOR=\"$axisColor\" ALIGN=\"center\"><SPAN CLASS=\"heading\">Pre-Press</SPAN></TD>
	  <TD BGCOLOR=\"$axisColor\" ALIGN=\"center\"><SPAN CLASS=\"heading\">Paper</SPAN></TD>
	</TR><TR>
	  <TD><TABLE CELLSPACING=\"0\" CELLPADDING=\"2\" BORDER=\"0\">
	    <TR>
	      <TD></TD>
	      <TD><SPAN CLASS=\"label\">Required</SPAN></TD>
	      <TD><SPAN CLASS=\"label\">Complete</SPAN></TD>
            </TR><TR>
	      <TD><SPAN CLASS=\"label\">Typesetting</SPAN></TD>
	      <TD><CENTER>" . Data( ($Job[job_typesetting]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
	      <TD><CENTER>" . Data( ($Job[job_typesettingComplete]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
            </TR><TR>
	      <TD><SPAN CLASS=\"label\">Art Work</SPAN></TD>
	      <TD><CENTER>" . Data( ($Job[job_art]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
	      <TD><CENTER>" . Data( ($Job[job_artComplete]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
            </TR><TR>
	      <TD><SPAN CLASS=\"label\">Proof</SPAN></TD>
	      <TD><CENTER>" . Data( ($Job[job_proof]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
	      <TD><CENTER>" . Data( ($Job[job_proofComplete]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
            </TR><TR>
	      <TD><SPAN CLASS=\"label\">Plate</SPAN></TD>
	      <TD><CENTER>" . Data( ($Job[job_plate]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
	      <TD><CENTER>" . Data( ($Job[job_plateComplete]=="Y")?$checked:$unchecked ) .
              "</CENTER></TD>
            </TR>
          </TABLE></TD>";
        print "
	  <TD ROWSPAN=\"3\"><TABLE CELLSPACING=\"0\" CELLPADDING=\"2\" BORDER=\"0\">
	      <TR>
		<TD COLSPAN=\"3\"><SPAN CLASS=\"label\">(Check \"Special Instructions\" below)</TD>
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Stock: </SPAN></TD>
		" . TD( "", "", "", $color, Data( $Job[paper_name] ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Type: </SPAN></TD>
		" . TD( "", "", "", $color, Data( $Job[paper_type] ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Weight: </SPAN></TD>
		" . TD( "", "", "", $color,
                        Data( 
                              ( ($Job[paper_lbWeight] > 0)?num2HTML($Job[paper_lbWeight]) . "lb":"" ) .
                              ( ($Job[paper_lbWeight] > 0 && $Job[paper_mWeight] > 0)?", ":"" ) .
                              ( ($Job[paper_mWeight] > 0)?num2HTML($Job[paper_mWeight]) . "m":"" ) ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Color: </SPAN></TD>
		" . TD( "", "", "", $color, Data( $Job[paper_color] ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Finish: </SPAN></TD>
		" . TD( "", "", "", $color, Data( $Job[paper_finish] ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Parent Size: </SPAN></TD>
		" . TD( "", "", "", $color, Data( dim2HTML($Job[paper_dims]) ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Comments: </SPAN></TD>
		" . TD( "", "", "", $color, Data( $Job[paper_comments] ) ) . "
	      </TR><TR>
		<TD COLSPAN=\"2\"><SPAN CLASS=\"label\">Cut </SPAN>
			" . Data( $Job[prod_childQty] ) . "
			<SPAN CLASS=\"label\"> sheet" . 
                        (($Job[prod_childQty]>1)?"s":"") . "
			  at </SPAN>" . Data( dim2HTML($Job[prod_runDims]) ) . "<BR>
			<SPAN CLASS=\"label\">&nbsp;&nbsp;&nbsp;&nbsp;out of a </SPAN>
			" . Data( dim2HTML($Job[prod_runDims]) ) . "
			<SPAN CLASS=\"label\"> parent.</SPAN></TD>
	      </TR><TR>
		<TD COLSPAN=\"2\"><SPAN CLASS=\"label\">Estimated Use of Parent: </SPAN>
			" . Data( num2HTML($expectedUse) ) . "</TD>
	      </TR>
	    </TABLE>";
        print "</TD>
	</TR><TR>
	  <TD BGCOLOR=\"$axisColor\" ALIGN=\"center\"><SPAN CLASS=\"heading\">Quantities</SPAN></TD>
	</TR><TR>
          <TD><TABLE CELLSPACING=\"0\" CELLPADDING=\"2\" BORDER=\"0\">
	      <TR>
		<TD><SPAN CLASS=\"label\">Quantity to Print: </SPAN></TD>
		" . TD( "", "", "", $color, Data( num2HTML($Job[job_quantity]) ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Actually Printed: </SPAN></TD>
		<TD>___________</TD>
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Estimated Paper Use: </SPAN></TD>
		" . TD( "", "", "", $color, Data( num2HTML($expectedUse) ) ) . "
	      </TR><TR>
		<TD><SPAN CLASS=\"label\">Actual Paper Use: </SPAN></TD>
		<TD>___________</TD>
	      </TR>
	    </TABLE>";
        print "</TD>
	</TR><TR>
	  <TD COLSPAN=\"2\" BGCOLOR=\"$axisColor\" ALIGN=\"center\">
            <SPAN CLASS=\"heading\">Running Information</SPAN></TD>
	</TR><TR>
          <TD COLSPAN=\"2\"><TABLE CELLSPACING=\"0\" CELLPADDING=\"2\" BORDER=\"0\" WIDTH=\"99%\">
	      <TR>
		<TD VALIGN=\"top\" WIDTH=\"50%\">
                  <SPAN CLASS=\"label\">Press: </SPAN>" . Data( $Job[prod_press] ) . "<BR>
                  <SPAN CLASS=\"label\">Number of Colors: </SPAN>" . Data( $Job[prod_numColors] ) . "&nbsp;&nbsp;
                  <SPAN CLASS=\"label\">Varnish: </SPAN>" .
                    Data( ($Job[prod_varnish]=="Y")?"Yes":"No" ) . "
                  <TABLE CELLSPACING=\"0\" CELLPADDING=\"0\" BORDER=\"0\" WIDTH=\"99%\">
		    <TR>
		      <TD><SPAN CLASS=\"label\"> Color </SPAN></TD>
		      <TD><SPAN CLASS=\"label\"> Plate No. </SPAN></TD>
		      <TD><SPAN CLASS=\"label\"> Comments </SPAN></TD>
                    </TR>";
        $query = "SELECT * FROM Plate WHERE product_i=" . $Job[prod_i];
        $PlateResult = mysql_db_query( $dbName, $query, $dbLink );
        print mysql_error();

        while( $Plate = mysql_fetch_array( $PlateResult ) ) {
          print "<TR>
		      " . TD( "", "", "", $color, Data( $Plate[color] ) ) . "
		      " . TD( "", "", "", $color, Data( $Plate[num] ) ) . "
		      " . TD( "", "", "", $color, Data( $Plate[comments] ) ) . "
		    </TR>";
        }
        print "
		  </TABLE>";
        print "</TD>
		<TD WIDTH=\"50%\"><TABLE CELLSPACING=\"0\" CELLPADDING=\"0\" BORDER=\"0\">
		    <TR>
		      <TD><SPAN CLASS=\"label\">Sheets to Run: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( num2HTML($numSheets) ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Run Size: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( dim2HTML($Job[prod_runDims]) ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Format: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( $Job[prod_format] ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Number Out: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( $Job[prod_numOut] ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Fronts: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( $Job[prod_numFronts] ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Backs: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( $Job[prod_numBacks] ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Bleed: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( ($Job[prod_bleed]=="Y")?"Yes":"No" ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Trim Size: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( dim2HTML($Job[prod_trimDims]) ) ) . "
		    </TR><TR>
		      <TD><SPAN CLASS=\"label\">Fold Size: </SPAN></TD>
		      " . TD( "", "", "", $color, Data( dim2HTML($Job[prod_foldDims]) ) ) . "
		    </TR>
		  </TABLE>";
        print "</TD>
	        </TR>
	    </TABLE></TD>
	</TR><TR>
	  <TD COLSPAN=\"2\" BGCOLOR=\"$axisColor\" ALIGN=\"center\"><SPAN CLASS=\"heading\">Instructions For " .
            $Job[prod_name] . "</SPAN></TD>
	</TR><TR>
	  <TD COLSPAN=\"2\"><TABLE CELLSPACING=\"0\" CELLPADDING=\"6\" BORDER=\"0\"><TR><TD>" .
            Data( toHTML( $Job[prod_instructions] ) ) . "</TD></TR></TABLE></TD>
	</TR><TR>
	  <TD COLSPAN=\"2\" BGCOLOR=\"$axisColor\" ALIGN=\"center\">
            <SPAN CLASS=\"heading\">Special Instructions For This Job ONLY!!!!</SPAN></TD>
	</TR><TR>
	  <TD COLSPAN=\"2\"><TABLE CELLSPACING=\"0\" CELLPADDING=\"6\" BORDER=\"0\"><TR><TD>" .
	    Data( toHTML( $Job[job_instructions] ) ) .
         "</TD></TR></TABLE></TD>
	</TR>
      </TABLE></TD>
	</TR>
      </TABLE>
    </DIV>
    <BR>\n";
      }
    </SCRIPT>

  </BODY>
  <SCRIPT LANGUAGE="JavaScript1.2">
    window.print();
  </SCRIPT>
  
</HTML>
