/*
    FPH Ordering And Estimation
    Copyright (C) 1999 Aron Rubin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

function buildSubmit( elements ) {
  submitStr = "";
  for( i=0; i < elements.length; i++ ) {
    if( elements[i].type == "select-one" || elements[i].type == "select-multiple" )
      submitStr += '&' + escape(elements[i].name) + '=' +
	           escape(elements[i].options[elements[i].selectedIndex].value);
    else if( (elements[i].type == "button") );
    else if( elements[i].type == "checkbox" )
      submitStr += '&' + escape(elements[i].name) + '=' + ((elements[i].checked)?'Y':'N');
    else
      submitStr += '&' + escape(elements[i].name) + '=' + escape(elements[i].value);
  }
  return( submitStr );
}        

function updateFromSelect( sel ) {
  form = sel.form;

  if( sel.selectedIndex >= 0 ) {
    optValue = sel.options[sel.selectedIndex].value;
  
    pairs = optValue.split( "&" );
    N = pairs.length;
    for( i=0; i < N; i++ ) {
      keyval = pairs[i].split( "=" );
      if( form.elements[unescape(keyval[0])] ) {
        form.elements[unescape(keyval[0])].value = (keyval[1])?unescape(keyval[1]):"";
      }
    }
  }
}

function complete( text, sel ) {
  for( var i=0; i < sel.length; i++ ) {
    if( text.value != "" &&
        !sel.options[i].text.search( new RegExp( "^"+text.value, "i" ) ) ) {
      sel.selectedIndex = i;
      text.value = sel.options[i].text;
      //if( sel.onChange )
        sel.onchange();
    }
  }
}

function iCheck( isEnabled, eventHandler, nextField ) {
  if( isEnabled ) {
    window.captureEvents( Event.KEYPRESS );
    //window.saveKeyPressFuncByNextOnX = window.onkeypress;
    window.onkeypress = eventHandler;
    window.nextField = nextField;
  } else if( !window.iChecking ) {
    //window.onkeypress = window.saveKeyPressFuncByNextOnX;
    window.releaseEvents( Event.KEYPRESS );
    delete window.nextField;
  }
  return true;
}

function nextOnX( e ) {
  if( window.nextField &&
      (String.fromCharCode( e.which ) == 'x' || String.fromCharCode( e.which ) == 'X') ) {
    window.nextField.focus();
    return false;
  } else {
    return true;
  }
    //alert( "X pressed!" );
  //if( window.saveKeyPressFuncByNextOnX )
    //window.saveKeyPressFuncByNextOnX( e );
}

function onlyNumbers( e ) {
  key = String.fromCharCode( e.which );
  if( window.nextField
      && (key == 'x' || key == 'X') ) {
    window.nextField.focus();
    return false;
  } else if( key >= '0' && key <= '9' || key == '.' )
    return true;

  return false;
}

