<?php ; # -*- Mode: Perl -*-

#    FPH Ordering And Estimation
#    Copyright (C) 1999 Aron Rubin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

if( empty( $HTMLFUNCS_INC_PHP ) ) {
  $HTMLFUNCS_INC_PHP = 1;

  if( strstr( $HTTP_USER_AGENT, "Win" ) ) {
    $hscale = 2;
    $fdiff = 4;
  } else {
    $hscale = 1;
    $fdiff = 0;
  }
  
  $BR = "<BR>";
  $SP = "&nbsp;";
  $BLANK = "<IMG HEIGHT=\"1\" WIDTH=\"1\">";
  $oTR = "<TR>";
  $cTR = "</TR>";
  
  function txt2HTML( $str ) {
    global $SP;
    $str = ereg_replace( "&", "&amp;", $str );
    $str = ereg_replace( "\n", "<BR>\n", $str );
    $str = ereg_replace( "\ \ ", "$SP ", $str );
    $str = ereg_replace( "\t", $SP.$SP.$SP.$SP." ", $str );

    # quick underline
    $str = ereg_replace( "_(.+)_", "<U>\\1</U>", $str );
    # quick bold
    $str = ereg_replace( "(^|[ \t])\*([^ \t]+)\*([ \t]|$)", "<B>\\1</B>", $str );
    # quick italics
    $str = ereg_replace( "(^|[ \t])/([^ \t]+)/([ \t]|$)", "<I>\\2</I>", $str );

    return( $str );
  }
  
  function toHTML( $str ) {
    return( txt2HTML( $str ) );
  }

  function num2HTML( $num ) {
    list( $whole, $dec ) = explode( ".", $num );
    $dec = strrev(ereg_replace( "^0*([1-9]?)", "\\1", strrev($dec) ));
    return( number_format($whole) . (($dec != "")? "." . $dec : "") );
  }
  
  function dim2HTML( $dims, $sep=" X " ) {
    list( $width, $height ) = explode( $sep, $dims );
    if( abs($width) == 0 && abs($height) == 0 )
      return( "none" );
    return( num2HTML($width) . $sep . num2HTML($height) );
  }
    
  function Tag( $name, $attribs="" ) {
    return( "<$name" . ( ($attribs!="")?" $attribs":"" ) . ">" );
  }

  function Frame( $name, $src, $scrolling=true ) {
    return( "<FRAME NAME=\"" . $name . "\" SRC=\"" . $src . "\"" .
	    ($scrolling?"":" SCROLLING=\"no\"") . ">" );
  }
  
  function Label( $text ) {
    return( "<SPAN CLASS=\"LABEL\">" . $text . "</SPAN>" );
  }
  
  function Image( $filename, $alternate="", $width=0, $height=0, $alignment="" ) {
    return( "<IMG ALT=\"$alternate\" SRC=\"$filename\"" .
            ( ($width>0)?" WIDTH=\"$width\"":"" ) .
	    ( ($height>0)?" HEIGHT=\"$height\"":"" ) .
	    ( ($alignment!="")?" ALIGN=\"$alignment\"":"" ) . ">" );
  }

  function TD( $colspan="", $rowspan="", $alignment="", $color="", $content="", $width=0 ) {
    $td = "<TD";
    if( $colspan != "" ) {
      if( empty( $content ) )
	$content = $colspan;
      else
        $td .= " COLSPAN=\"$colspan\"";
    }
    if( $rowspan != "" )
      $td .= " ROWSPAN=\"$rowspan\"";
    if( $alignment != "" )
      $td .= " ALIGN=\"$alignment\"";
    if( $width > 0 )
      $td .= " WIDTH=\"$width\"";
    if( $color != "" )
      $td .= " BGCOLOR=\"$color\"";
    return( $td . ">" . $content . "</TD>" );
  }
  
  function Div( $class="", $alignment="" ) {
    return( "<DIV" . ( ($class!="")?" CLASS=\"$class\"":"" ) .
                     ( ($alignment!="")?" ALIGN=\"$alignment\"":"" ) . ">" );
  }

  function Data( $content ) {
    return( "<VAR>" . $content . "</VAR>" );
  }
  
  function TR( $content ) {
    return( "<TR>\n" . $content . "</TR>" );
  }
  
  function Option( $value, $text, $selected=false ) {
    return( "<OPTION" . (($value=="")?"":" VALUE=\"" . $value . "\"") . 
	    ($selected?" SELECTED":"") . ">" . $text );
  }
  
  function Button( $name, $onClick="" ) {
    return( "<INPUT TYPE=\"button\" VALUE=\" $name \"" .
	    ( ($onClick!="")?" OnClick=\"$onClick\"":"" ) . ">" );
  }

  function TextBox( $name, $size, $maxlength, $value="", $onChange="", $onFocus="" ) {
    global $hscale;
    return( "<INPUT NAME=\"$name\" SIZE=\"" . ceil($size/$hscale) . "\" " .
	    "MAXLENGTH=\"$maxlength\" VALUE=\"$value\"" .
	    ( ($onChange=="")?"":" OnChange=\"$onChange\"" ) .
	    ( ($onFocus=="")?"":" OnFocus=\"$onFocus\"" ) . ">" );
  }

  function TextArea( $name, $cols, $rows, $value="", $wrap="soft" ) {
    global $hscale;
    return( "<SPAN CLASS=\"TEXTAREA\"><TEXTAREA NAME=\"$name\" " .
	    "COLS=\"" . ceil($cols/$hscale) . "\" ROWS=\"$rows\" " .
	    "WRAP=\"$wrap\">" . $value . "</TEXTAREA></SPAN>" );
  }

  function HiddenText( $name, $value="" ) {
    return( "<INPUT TYPE=\"hidden\" NAME=\"" . $name . "\" VALUE=\"" . $value . "\"" . ">" );
  }
  
  function HiddenTextBox( $name, $value="" ) {
    return( HiddenText( $name, $value ) );
  }
  
  function CheckBox( $name, $checked=false ) {
    return( "<SPAN CLASS=\"CHECKBOX\"><INPUT NAME=\"" . $name .
	    "\" TYPE=\"checkbox\" VALUE=\"Y\"" . ($checked?" CHECKED":"") . "></SPAN>" );
  }
  
  function Tab( $name, $link = "", $current=false ) {
    if( $current ) {
      return( "<TD BGCOLOR=\"#D9D9D9\"><DIV CLASS=\"currentTab\">" . $name . "</DIV></TD>" );
    }
    return( "<TD BGCOLOR=\"#D9D9D9\"><DIV CLASS=\"tab\"><A HREF=\"" . $link . "\">" . $name .
	    "</A></DIV></TD>" );
  }
  
  function DateBox( $name, $fields, $tablename ) {
    list( $year, $month, $day ) = split( "-", $fields[$name] );
    return( HiddenText( $tablename."[".$name."]", "-" ) .
	    TextBox( $name."[1]", 2, 2, $month ) .
	    TextBox( $name."[2]", 2, 2, $day ) .
	    TextBox( $name."[0]", 4, 4, $year ) );
  }
  
  function PhoneBox( $name, $fields, $tablename ) {
    list( $international, $area, $exchange, $number ) = explode( ".", $fields[$name] );
    return( HiddenText( $tablename."[".$name."]", "." ) .
	    TextBox( $name."[0]", 2, 2, $international ) . "+" .
	    TextBox( $name."[1]", 3, 3, $area ) .
	    TextBox( $name."[2]", 3, 3, $exchange ) .
	    TextBox( $name."[3]", 4, 4, $number ) );
  }
  
  function ZipCodeBox( $name, $fields, $tablename ) {
    list( $zip, $extended ) = split( "-", $fields[$name] );
    return( HiddenText( $tablename."[".$name."]", "-" ) .
	    TextBox( $name."[0]", 5, 5, $zip ) .
	    TextBox( $name."[1]", 4, 4, $extended ) );
  }
  
  function UPCBox( $name, $fields, $tablename ) {
    $part = split( "-", $fields[$name] );
    return( HiddenText( $tablename."[".$name."]", "-" ) .
	    TextBox( $name."[0]", 5, 5, $part[0] ) .
	    TextBox( $name."[1]", 5, 5, $part[1] ) );
  }

  function NumBox( $name, $size, $maxlength, $value="", $onChange="", $onFocus="" ) {
    return( TextBox(  $name, $size, $maxlength, $value, "value=(eval(value));$onChange", $onFocus ) );
  }

  function DimBox( $name, $fields, $tablename, $widthLabel="Width", $lengthLabel="Height", $onFocus="" ) {
    return( NumBox( $tablename."[$name$widthLabel]", 8, 8, $fields[$name.$widthLabel], "", $onFocus ) .
	    Label( "X" ) .
	    NumBox( $tablename."[$name$lengthLabel]", 8, 8, $fields[$name.$lengthLabel], "", $onFocus ) );
  }
  
  function sectionHead( $name, $ruleWidth=250 ) {
    return( "<TABLE BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\" ALIGN=\"center\"><TR>" .
	    "<TD><HR WIDTH=\"$ruleWidth\"></TD><TD><SPAN CLASS=\"sectionHead\">&nbsp;$name&nbsp;</SPAN></TD>" .
	    "<TD><HR WIDTH=\"$ruleWidth\"></TD></TR></TABLE>" );
  }

  class SelectBox {
    var $name;
    var $rows;
    var $multiple;
    var $onChange;
    var $options;
    
    function SelectBox( $name, $rows, $multiple=false, $onChange="" ) {
      $this->name = $name;
      $this->rows = $rows;
      $this->multiple = $multiple;
      $this->onChange = $onChange;
    }
    
    function fromMySQL( $result, $valFields, $txtField, $initVal="__NULL__" ) {
      $N = mysql_num_rows( $result );
      if( is_array($valFields) ) {
	for( $i=0; $i < $N; $i++ ) {
	  $M = count( $valFields );
	  for( $j=0; $j < $M; $j++ ) {
	    $values[$j] = rawurlencode($valFields[$j]) . "=" .
	      rawurlencode(mysql_result($result, $i, $valFields[$j]));
	  }
	  
	  $this->options[] = Option( join( "&", $values ), mysql_result($result, $i, $txtField),
				       mysql_result($result, $i, $valFields[0]) == $initVal );
	  unset($values);
	  unset($texts);
	}
      } else {
	for( $i=0; $i < $N; $i++ ) {
	  $val = mysql_result($result, $i, $valFields);
	  $this->options[] = Option( $val, mysql_result($result, $i, $txtField),
				       $val == $initVal );
	  unset($values);
	  unset($texts);
	}
      }
    }
    
    function fromArray( $options ) {
      $this->options = $options;
      next($this->options);
    }
    
    function display() {
      print "<SPAN CLASS=\"SELECTBOX\"><SELECT NAME=\"" . $this->name . "\"" .
	(($this->rows>0)?(" SIZE=\"" . $this->rows . "\""):"") .
	  ($this->multiple?" MULTIPLE":"") . 
	    (($this->onChange=="")?"":" OnChange=\"" . $this->onChange . "\"") . ">\n";
      $N = count( $this->options );
      for( $i=0; $i < $N; $i++ ) {
	print $this->options[$i];
	print "\n";
      }
      print "</SELECT></SPAN>\n";
    }

    function pr() {
      $this->display();
    }
  }
  
} # HTMLFUNCS_INC_PHP
?>
